Page MenuHomePhabricator

Access, Genlist: Hidden items take highlight issue fix
AcceptedPublic

Authored by shilpasingh on Sep 22 2020, 8:48 AM.

Details

Summary

When Genlist filtering is applied even the hidden items take highlight,
check for whether item is hidden or not before returning the children list

Test Plan

When access is enabled and genlist item filtering on items is applied
On call of efl_access_object_access_children_get API, filtered/hidden items
should not be returned.

Signed-off-by: Shilpa Singh <shilpa.singh@samsung.com>

Diff Detail

Repository
rEFL core/efl
Branch
access_work
Lint
No Linters Available
Unit
No Unit Test Coverage
Build Status
Buildable 17349
Build 11611: arc lint + arc unit
shilpasingh created this revision.Sep 22 2020, 8:48 AM

It seems that this patch has no reviewers specified. If you are unsure who can review your patch, please check this wiki page and see if anyone can be added: https://phab.enlightenment.org/w/maintainers_reviewers/

shilpasingh requested review of this revision.Sep 22 2020, 8:48 AM

Access, Genlist: Hidden items take highlight issue fix

shilpasingh retitled this revision from Naviframe: As freeze events is set on item, del callback is not triggered issue fix to Access, Genlist: Hidden items take highlight issue fix.Sep 22 2020, 8:58 AM
shilpasingh edited the summary of this revision. (Show Details)
shilpasingh edited the test plan for this revision. (Show Details)
shilpasingh added reviewers: kimcinoo, jsuya.
devilhorns added a subscriber: devilhorns.EditedSep 22 2020, 6:37 PM

"When Genlist filtering is applied even the hidden items take highlight,
check for whether item is hidden or not before returning the children list"...

Hidden Items should be an Option ...

If the Option was on for this case scenario, then yes the code is correct.... but...

Is the Option on or off...Where is the Option ? EFM ? Genlist... Where ever...

No test code or reproduction of the Error is provided....

shilpasingh added a comment.EditedSep 23 2020, 10:58 PM

"When Genlist filtering is applied even the hidden items take highlight,
check for whether item is hidden or not before returning the children list"...

Hidden Items should be an Option ...

If the Option was on for this case scenario, then yes the code is correct.... but...

Is the Option on or off...Where is the Option ? EFM ? Genlist... Where ever...

No test code or reproduction of the Error is provided....

I have updated test plan with more details, but testing will not be possible as there is no screen-reader available in EFL opensource. The testing has been done on product with other dependency modules.

shilpasingh edited the test plan for this revision. (Show Details)Sep 23 2020, 11:22 PM

If there is not a case to use filtered/hidden items on AT-client side, then this is OK.
If there is a case, then could be handled using the Efl_Access_State_Set.
I would like to accept this. Please let me know your opinion @l.oleksak @jsuya

kimcinoo accepted this revision.Sep 27 2020, 7:36 PM
This revision is now accepted and ready to land.Sep 27 2020, 7:36 PM